getAttributeCategories
READGet attribute categories.
POST /api/v1/people/getAttributeCategories
curl -X POST '<your-host>/api/v1/people/getAttributeCategories' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"search": "string"
}'Response
{
"results": [
{
"active": true,
"companyId": "string",
"createdAt": "string",
"createdBy": "string",
"emoji": "string",
"id": "string",
"name": "string",
"protected": true,
"public": true,
"updatedAt": "string",
"updatedBy": "string",
"userAttribute": [
{
"id": "string",
"name": "string",
"attributeDataType": {
"id": 0
}
}
]
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"search": {
"anyOf": [
{
"type": "string"
},
{
"type": "object",
"properties": {
"limit": {
"type": "integer",
"default": 100
},
"offset": {
"type": "integer",
"default": 0
}
}
}
]
}
},
"required": [
"search"
]
}